workflow Hello_GATK {

	call HaplotypeCaller_GVCF
}

task HaplotypeCaller_GVCF {

	String java_opt

	File refFasta
	File refIndex
	File refDict
	File inputBam
	File inputBamIndex

	String docker_image
	String mem_size
	Int disk_size
	Int preemptible_tries

	String gvcf_name = basename(inputBam, ".bam") + ".g.vcf"

	command {
		gatk --java-options ${java_opt} HaplotypeCaller \
			-R ${refFasta} \
			-I ${inputBam} \
			-O ${gvcf_name} \
			-ERC GVCF
	}

	output {
		File output_gvcf = "${gvcf_name}"
	}

	runtime {
		docker: docker_image
		memory: mem_size
		disks: "local-disk " + disk_size + " HDD"
    	preemptible: preemptible_tries
	}
}